$gold-maxheight: 15em;
$bronze-maxheight: 5em;
$normal-maxheight: 10em;

.paragraph--sponsors-view {
  text-align: center;
  .sponsorlevel-wrapper {
    text-align: center;
    margin-bottom: 1em;
    .sponsorlist-wrapper {
      text-align: center;

      display: flex;
      flex-wrap: wrap;
      justify-content: center;

      article {
        align-self: center;
        justify-self: center;
        max-height: $normal-maxheight;
        margin: 1em;

        .content {
          max-height: $normal-maxheight;

          div {
            max-height: $normal-maxheight;

            img {
              height: 100%;
              width: auto;
              margin: 0 auto;
              max-height: $normal-maxheight;

              @media screen and (max-width: 500px){
                width: 100%;
                height: auto;
                max-height: none;
              }
            }
          }
        }
      }

      &.level-gold {
        article .content div img {
          max-width: 60%;
          margin: 0 auto;
          height: auto;
          max-height: none;

          @media screen and (max-width: $screen-tablet) {
            max-width: 80%;
          }

          @media screen and (max-width: 500px){
            max-width: 100%;
          }
        }
      }

      &.level-bronze {
        article {
          max-height: $bronze-maxheight;
          .content {
            max-height: $bronze-maxheight;
            div {
              max-height: $bronze-maxheight;
              img {
                max-height: $bronze-maxheight;
                @media screen and (max-width: 500px){
                  width: auto;
                  margin: 0 auto;
                }
              }
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: $screen-phone) {
  .paragraph--sponsors-view .sponsorlevel-wrapper .sponsorlist-wrapper {
    flex-direction: column;
  }
}
